jQuery(document).ready(function($) {  

//checkout-final
(function(){
	//init
	var __login = false;
	
	//events
	$(window).on("message",function(e) {
		var data = null;
		try{
			if(e.originalEvent) data = JSON.parse(e.originalEvent.data);
		}catch (e){
			data = null;
		}                              
		if (data && data.wizshop) {          
			if(data.creditChange){
				setPaymentMethod(data.credit.method);
			}else if(data.cpPainted){
				if("payment_select" == data.id ||
					"pay_mehtod_0" == data.id || 
					"pay_mehtod_1" == data.id
					){
					if(!$("#payment_select").hasClass('v_ihide')){
						$meth = $("#payment_select").find("[data-wiz-credit-type].v_iselect");
						setPaymentMethod(parseInt($meth.attr("data-wiz-credit-type")));
					}
				}else if(data.id == "step_3"){
					(window.location.hash == "#step_3" && __login) ?  $('#step_3').removeClass("v_ihide") : $('#step_3').addClass("v_ihide");
				}
			
			}else if(data.userLogin){
				__login = data.login;
				checkHash();
			
			}else if(data.purchaseCompleted){
				window.location.hash = "#checkout_report";
			}
		}
	});  

	$(window).bind('hashchange', function() {
		onHashChange();
 	});
	
	
	$('[data-cust-type]').click(function(e){
		var type = $(this).attr('data-cust-type');
		$('[data-cust-type]').removeClass("v_iselect");
		$(this).addClass('v_iselect');

		$('[data-cust-form]').addClass("v_ihide");
		$('[data-cust-form="'+type+'"]').removeClass('v_ihide');
		
		if(0 == type){ 
			window.location.hash = "step_2";
		}else if (1 == type){ 
			window.location.hash = "step_1";
		}else if (2 == type){ 
			window.location.hash = "step_1";
		}
	});
	
	//helpers

	function checkHash(){
		var cur_hash = window.location.hash.replace(/^#/,'');
		var done = false;
		if(__login){
			if(!cur_hash || "step_1" == cur_hash){
				window.location.hash = $('#step_2')[0] ? "step_2" : "step_3" ; 
				done = true;
			}else if("step_2" == cur_hash && !$('#step_2')[0]){
				window.location.hash = "step_3" ; 
				done = true;
			}
		}else{
			window.location.hash = "step_1"; 
			if("step_1" != cur_hash){
				done = true;
			}
		}
		if(!done){
			onHashChange();
		}
	}
	
	function onHashChange(){
		var hash = window.location.hash.replace(/^#/,'');
		if ("step_1" == hash){
			$('#step_3').addClass("v_ihide");
			
			$('[data-wiz-head="1"]').addClass("dotter");
			$('[data-wiz-head="2"]').removeClass("dotter");
			$('[data-wiz-head="3"]').removeClass("dotter");

			$('[data-wiz-title="1"]').removeClass("title-off");
			$('[data-wiz-title="2"]').addClass("title-off");
			$('[data-wiz-title="3"]').addClass("title-off");
			
			checkDefCustType();
			
		}else if("step_2" == hash){
			$('[data-cust-form="0"]').removeClass("v_ihide");
			$('#step_3').addClass("v_ihide");

			$('[data-wiz-head="1"]').addClass("dotter");
			$('[data-wiz-head="2"]').addClass("dotter");
			$('[data-wiz-head="3"]').removeClass("dotter");

			$('[data-wiz-title="2"]').removeClass("title-off");
			$('[data-wiz-title="1"]').addClass("title-off");
			$('[data-wiz-title="3"]').addClass("title-off");
			
		}else if("step_3" == hash){
			$('#payment_select').removeClass("v_ihide");

			$('[data-wiz-head="1"]').addClass("dotter");
			$('[data-wiz-head="2"]').addClass("dotter");
			$('[data-wiz-head="3"]').addClass("dotter");

			$('[data-wiz-title="3"]').removeClass("title-off");
			$('[data-wiz-title="1"]').addClass("title-off");
			$('[data-wiz-title="2"]').addClass("title-off");

		}else if("checkout_report" == hash){
			$('#step_1').addClass("v_ihide");
			$('#step_3').addClass("v_ihide");
			$('#step_3').addClass("v_ihide");
		}
	}
	
	function setPaymentMethod(method){
		if(1==method){
			$('#pay_mehtod_0').addClass("v_ihide");
			$('#pay_mehtod_01').addClass("v_ihide");
			$('#pay_mehtod_1').removeClass("v_ihide");
		}else{
			$('#pay_mehtod_1').addClass("v_ihide");
			$('#pay_mehtod_0').removeClass("v_ihide");
			$('#pay_mehtod_01').removeClass("v_ihide");
		}
	}
	
	function checkDefCustType(){
		$('[data-cust-type]').each(function( index, el ){
			if($(el).hasClass('v_iselect')){
				var type = $(el).attr('data-cust-type');
				$('[data-cust-form]').addClass("v_ihide");
				$('[data-cust-form="'+type+'"]').removeClass('v_ihide');
			}
		});
	}
	
	//collapse 
	$('#collyes').click(function(e) {
		$('.collappse-block').css("display","block") ;
	});
	$('#collno').click(function(e){
		$('.collappse-block').css("display","none") ;
	});
	
	//step hash
	$('[data-wiz-step]').click(function(e) {
		var stp = $(e.target).attr('data-wiz-step');
		if(stp){
			window.location.hash = "#step_"+stp;
		}
	});
	
})();

});

