<?php 
if ( ! defined( 'ABSPATH' ) ) { exit; }
?>
<div data-wiz-status-report="post_cart_id" data-wizshop  class="stat_div basket-add-message p-3 mb-3 w-100 v_ihide">
	<span data-wiz-status-text></span>
	<a href='<?php echo esc_url(wizshop_get_personal_area_url())?>'>לעדכון פרטים </a>
	<span data-wiz-close-status class="dsp-inlineblock float-left basket-dismiss-btn">
		<img src="<?php echo wizshop_img_file_url('close.svg')?>" class="svg-icon basket-dismiss-icon">
	</span>
	<div class="clr"></div>
</div>
<div id="wiz-cart" class="v_cart v_ihide" data-wiz-shopping-cart data-wizshop data-auto-hide>
	<table data-wiz-cart-container class="basket-table responsive-table">
        <thead class="basket-thead" data-wiz-cart-head>
            <tr>
                <th class="product-thumbnail py-3">תמונה</th>
                <th class="product-name py-3">שם המוצר</th>
                <th class="product-key py-3">מק"ט</th>
                <th class="product-balance py-3 {{dispBalance}}">כמות במלאי</th>
                <th class="product-price py-3">מחיר</th>
                <th class="product-quant py-3">כמות</th>
                <th class="product-total py-3">סה"כ</th>
                <th class="product-remark {{dispRemark}} py-3">הערה לפריט</th>
				<th class="product-wishlist py-3"></th>
				<th class="product-delete py-3"></th>
				
            </tr>
        </thead>
        <tbody>
            <tr data-wiz-discount-item class="actions" >
                <td colspan="4">{{Name}} </td>
                <td colspan="6" dir="ltr">{{LineTotal}}</td>
            </tr>
            <tr data-wiz-cart-item>
                <script type="text/html">
                    <td class="product-thumbnail" data-title="מוצר">
                        <a href='<?= esc_url(wizshop_get_products_url())?>{{Link}}'>
                            <img src ="<?php esc_url(wizshop_image_name_link("{{ImageFile}}","wiz_thumb"))?>" alt="{{Name}}">
                        </a>
                    </td>
                    <td class="product-name" data-title="">
                        <a href='<?php echo esc_url(wizshop_get_products_url())?>{{Link}}'>
                            <span>{{Name}}</span>
                        </a>
                    </td>
                    <td class="product-key" data-title="מפתח"><strong>{{Key}}</strong></td>
                    <td class="product-balance text-center {{dispBalance}}" data-title="מלאי" data-wiz-item-balance><span class="basket-amouth">{{Balance}}</span></td>
                    <td class="product-price" data-title="מחיר"> {{Price-P}}</td>

                    <td class="product-quantity" data-title="כמות">
                    <span class="{{dispUnits}} Packs{{dispPacks}}">
                        <label>יחידות:</label>
                        <input type="number" size="2" wiz_QuantId="{{QuantId}}" data-wiz-packs-only="{{OnlyPacks}}" value="{{ItemsQuant}}">
                    </span>
                    <span class="{{dispPacks}}">
						<label>אריזות של {{QntInPack}}:</label>
                        <input type="number" size="2" wiz_PacksId="{{PacksId}}" data-wiz-quant-in-pack="{{QntInPack}}" value="{{PacksNoInCart}}">
                    </span>
					</td>
					<td class="product-total" data-title="סך הכל">{{FormatedLineTotal-P}}</td>
					<td class="product-remark {{dispRemark}}" data-title="הערה לפריט"><textarea  maxlength="100" data-wiz-item-remark='{{Key}}' placeholder="הערה" >{{ItemRemark}}</textarea></td>
					<td class="product-wishlist " data-title="הוספה לרשימת המשאלות">
					
						<a href="javascript:void(0);" data-wiz-list-action-item='{{Key}}' data-wiz-type='WL' data-wiz-action='1' data-wiz-status="post_cart_id|wishlist|15" class="basket-fav" title="רשימת משאלות">
							<img src="<?php echo wizshop_img_file_url('heart.svg')?>" class="svg-icon">
						</a>
					</td>
					<td class="product-delete " data-title="מחיקה">
						<a href="javascript:void(0);" data-wiz-remove-from-cart="{{Key}}" data-wiz-status="post_cart_id|delete|15" class="basket-del" title="מחיקה">
							<img src="<?php echo wizshop_img_file_url('delete.svg')?>" class="svg-icon">
						</a>
					</td>
                </script>
          </tr>
        </tbody>
	</table>
	<div class=" w-100 mb-3 text-center" data-wiz-cart-totals>
		<div data-wiz-status-report data-wizshop class="hide{{VSCartStatus}} total-box">
			<span>המינימום להזמנה הוא {{VSMinCost-P}}.</span>						
		</div>		
	</div>		

    <footer class="container-fluid">
        <div class="row justify-content-between ">
			<div class="float-right" >
				<div data-wiz-details class="b-1 p-2 td-none">
							<a href="/פרטי-התקשרות/"  wiz_logout>אנא צרו איתי קשר בנושא סל הקניות שלי</a>					
							<a href="javascript:void(0);" data-wiz-post-cart wiz_login data-wiz-status="post_cart_id|send_cart_p|15" class="v_ihide">אנא צרו איתי קשר בנושא סל הקניות שלי</a>
				</div>
			</div>
            <div data-wiz-cart-totals class="col-md-5 float-left total-box py-2">
                <div><h5 class="m-0 p-0">סיכום הזמנה</h5></div>
				<!--מחיר לפני מע"מ : {{PreVat}}-->
                <div><strong>סיכום ביניים: </strong> {{TotalCostItems-P}} <span class="hide{{PreVat}}">(לפני מע"מ)</span></div>
                <div class="hide{{TotalDiscount}}"><strong>שוברים והנחות: </strong> {{TotalDiscount-P}} - </div>
				<div class="py-2 hide{{DeliveryMethod}}0"><strong> משלוח: </strong> {{DeliveryMethod}} ({{DeliveryCost-P}}) </div>
                <div><strong>סה"כ לתשלום:</strong> {{Total-P}} <span class="hide{{PreVat}}">(לפני מע"מ)</span></div>
            </div>
        </div> 
		<?php if(wizshop_is_shipping()): ?>
			<div class="row justify-content-end mt-2">
				<div class="col-md-5 float-left total-box py-2 text-center" wiz_logout>בחירת משלוח מתבצעת בשלב הבא </div>
				<div class="col-md-5 float-left total-box py-2 text-center" wiz_login>שינוי משלוח מתבצע בשלב הבא </div>
			</div>			 
		<?php endif; ?>
        <div class="row justify-content-end">
            <div class="col-md-5 float-left p-0">
                <div data-wiz-cart-actions class="v_ihide mt-2 text-left">
                    <div data-wiz-empty-cart class="dsp-inlineblock"><a href="javascript:void(0);" class="btn primary-outline">ריקון סל קניות</a></div>
                    <a href="<?php echo wizshop_get_checkout_final_url()?>" class="btn primary">רכישה</a>
                </div>
            </div>
        </div>
        <div class="clr"></div>
    </footer>
 </div>
 <div class="empty-basket">
	<p class="cart-empty">העגלה שלך ריקה כרגע.</p>
	<a class="btn primary-outline" href="/חנות/">חזרה לחנות</a>
</div>