<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }
?>

<!-- user -->
<div data-wiz-customer data-wizshop>
    <div  data-wiz-text wiz_login>
		<h4>שלום {{Name}} </h4>
		<p> {{DiscountMsg}}  </p>
	</div>
	<p>
		<a href="javascript:void(0);" data-wiz-logout wiz_login>התנתקות</a>
	</p>
</div>

<div class="tabs">
	<?php if(!wp_is_mobile()): ?> 
		<ul class="tab-links dsp-inlineblock bb w-100 hidden-xs">
			<li class="tab-item mr-2"><a href="#userdetails" class="tab-link p-3">
				<?php if(wizshop_is_reg_customer()): ?>  עדכון פרופיל
				<?php else: ?> הרשמה <?php endif; ?>
			</a></li>
			<li class="tab-item mr-2"><a href="#wishlist" class="tab-link p-3">רשימת משאלות</a></li>
		<?php if(wizshop_is_reg_customer()): ?> 
			<li class="tab-item mr-2"><a href="#prevcart" class="tab-link p-3">קניות קודמות</a></li> 
			<li class="tab-item mr-2"><a href="#permcart" class="tab-link p-3">סל קבוע</a></li> 
		<?php endif; if(wizshop_is_b2b_customer()): ?> 
			<li class="tab-item mr-2"><a href="#reportsacc" class="tab-link p-3">כרטסת הנהלת חשבונות</a></li>
			<li class="tab-item mr-2"><a href="#reportsitem" class="tab-link p-3">דו"ח פריטים</a></li>
		<?php endif; ?>	  
		</ul>
	<?php else: ?>	  
		<select class="tabs-m-links visible-xs w-100 mb-3 p-2 ">
			<option value="#userdetails">עדכון פרופיל</option>
			<option value="#wishlist">רשימת משאלות</option>
		<?php if(wizshop_is_reg_customer()): ?> 
			<option value="#prevcart">קניות קודמות</option>
			<option value="#permcart">סל קבוע</option>
		<?php endif; if(wizshop_is_b2b_customer()): ?> 
			<option value="#reportsacc">כרטסת הנהלת חשבונות</option>
			<option value="#reportsitem">דו"ח פריטים</option>
		<?php endif; ?>	  
		</select>
	<?php endif; ?>	  

	<div  class="tab-content">
		<div id="userdetails" class="tab active">
			<?php wizshop_get_template_part('user-details');?>
		</div>
		<div id="wishlist" class="tab">
			<?php wizshop_get_template_part('wish-list');?>
		</div>
	<?php if(wizshop_is_reg_customer()): ?> 
		<div id="prevcart" class="tab">
			<?php wizshop_get_template_part('past-purchases');?>
		</div>
		<div id="permcart" class="tab">
			<?php wizshop_get_template_part('permanent-cart');?>
		</div>
	<?php endif; if(wizshop_is_b2b_customer()): ?>
		<div id="reportsacc" class="tab">
			<?php wizshop_get_template_part('reports-acc');?>
		</div>
		<div  id="reportsitem" class="tab">
			<?php wizshop_get_template_part('reports-item');?>
		</div>
	<?php endif; ?>
	</div>
</div>

<script>
jQuery(document).ready(function($) {  
	$( window ).on( 'hashchange', function( e ) {
		set_tab(location.hash);}
	);	
	$('.tabs .tab-links a').on('click', function(e)  {
        var tab = $(this).attr('href');
		if(tab == location.hash){
			e.preventDefault();
		}else{
			location.hash = tab;
		}
	});
	$('.tabs .tabs-m-links').on('change', function(e)  {
		location.hash = $(this).find('option:selected').val();
	});
	function set_tab(tab){
		$('.tabs ' + tab).show().siblings().hide();
		$('.tabs .tab-links a[href="'+tab+'"]').parent('li').addClass('active').siblings().removeClass('active');
		$('.tabs-m-links').val(tab);
	}
	if(!location.hash){
		location.hash = "#userdetails";
	}else{
		set_tab(location.hash);
	}
});
</script>