<?php 
if ( ! defined( 'ABSPATH' ) ) { exit; }
$co = wizshop_get_customer_options();  
?>

<!-- status -->
<div data-wiz-status-report="user-details" data-wizshop class="alert w-100 my-3 p-1">
	<span data-wiz-status-text></span>
	<a href="javascript:void(0);" data-wiz-close-status class="dsp-inlineblock float-left basket-dismiss-btn">
		<img src="<?php echo wizshop_img_file_url('close.svg')?>" class="svg-icon basket-dismiss-icon">
	</a>
</div>
<!-- user details -->

<div class="row">
	<div  data-wiz-customer data-wizshop data-cust-form="0"  >
			
			<div data-wiz-details data-wiz-error-class="v_field_err" >
				<header class="mb-2" wiz_logout >
					<div class="col text-right px-0">
						<a href="<?=esc_url(wizshop_get_signin_url())?>" class="btn primary-outline b2c-button"><?php echo $co["b2c_link_text"]; ?></a>
						<a href="<?=esc_url(wizshop_get_signin_b2b_url())?>" class="btn primary-outline  b2b-button"><?php echo $co["b2b_link_text"]; ?></a>
						<a href="<?=esc_url(wizshop_get_user_details_url())?>" class="btn primary signup-button">הרשמה</a>
					</div>
				</header>
				<div class="row">
					<div class="col-12 col-md-4">
						<span class="dsp-block">שם ומשפחה</span>
						<input type="text" data-delivery data-req  name="שם ומשפחה" id="vs_Name" value="" maxlength="50" class="dsp-block w-100" >
					</div>
					<div class="col-12 col-md-4">
						<span class="dsp-block">דואר אלקטרוני</span>
						<input  type="text" data-delivery data-req  name="דואר אלקטרוני" id="vs_EMail" value="" maxlength="50" class="dsp-block w-100">
					</div>
					<div class="col-12 col-md-4">
						<span class="dsp-block">טלפון / נייד</span>
						<input type="text" data-delivery data-req  name="טלפון / נייד" id="vs_Phone" value="" maxlength="50" class="dsp-block w-100">
					</div>

					<div class="col-12 col-md-4 v_ihide">
						<span class="dsp-block">שיטת משלוח</span>
						<select id="vs_Shiping" data-req data-wiz-shipping-container class="mnw-100 p-2 dsp-block">
							<option data-wiz-shipping-type ="" wiz_selection>{{Name}} : {{Price}}</option>
						</select>
					</div>
					<div class="col-12 col-md-4">
						<span class="dsp-block">כתובת</span>
						<input type="text" data-delivery data-req  name="כתובת" id="vs_Address" value="" maxlength="50" class="dsp-block w-100" >
					</div>
					<div class="col-12 col-md-4">
						<span class="dsp-block">עיר</span>
						<input type="text" data-delivery data-req  name="עיר" id="vs_City" value="" maxlength="50" class="dsp-block w-100">
					</div>
					<div class="col-12 col-md-4">
						<span class="dsp-block">מיקוד</span>
						<input type="text" data-delivery name="מיקוד" id="vs_Zip" value="" maxlength="50" class="dsp-block w-100">
					</div>
					<div class="col-12 col-md-4 v_ihide" >
						<span class="dsp-block">איזור</span>
						<input type="text" data-delivery name="איזור" id="vs_Region" value="" maxlength="50" class="dsp-block w-100">
					</div>
					<div class="col-12 col-md-4">
						<span class="dsp-block">מדינה</span>
						<select data-req data-wiz-country-container class="mnw-100 p-2 dsp-block">
							<option data-wiz-country = "" wiz_selection>{{Name}}</option>
						</select>
					</div>
		<!--            <div class="col-4">-->
		<!--                <span class="dsp-block">שיטת תשלום</span>-->
		<!--                <select data-wiz-pay-option-container class="mnw-100">-->
		<!--                    <option data-wiz-pay_option  wiz_selection>{{Name}}</option>-->
		<!--                </select>-->
		<!--            </div>-->

					<div class="col-12 {{dispRemark}}">
						<span for="vs_Remark">הערה לשליח</span>
						<textarea id="vs_Remark"  name="הערה" maxlength="250" value="" ></textarea>
					</div>
				</div>

				<div class="accordion">
				</div>

				<!-- Buttons to show external invitation block -->
				<div class="my-4">
					<span class="p-2">האם כתובת המשלוח זהה לכתובת החשבונית?</span>
					<button class="btn primary" id="collyes">לא</button>
					<button class="btn primary" id="collno">כן</button>
				</div>
				<!-- External address for invitation -->
				<div class="collappse-block">
					<h3>כתובת לחשבונית (אם שונה מהכתובת לעיל)</h3>
					<div class="row">
						<div class="col-12 col-md-4">
							<span class="dsp-block">שם ומשפחה</span>
							<input type="text" data-billing class="input-text" name="שם ומשפחה" id="vs_BName" value="" maxlength="50" class="dsp-block w-100">
						</div>
						<div class="col-12 col-md-4">
							<span class="dsp-block">כתובת</span>
							<input type="text" data-billing class="input-text" name="כתובת" id="vs_BAddress" value="" maxlength="50" class="dsp-block w-100">
						</div>
						<div class="col-12 col-md-4">
							<span class="dsp-block">עיר</span>
							<input type="text" data-billing class="input-text" name="עיר" id="vs_BCity" value="" maxlength="50" class="dsp-block w-100">
						</div>
						<div class="col-12 col-md-4">
							<span class="dsp-block">מיקוד</span>
							<input type="text" data-billing class="input-text" name="מיקוד" id="vs_BZip" value="" maxlength="50" class="dsp-block w-100">
						</div>
						<div class="col-12 col-md-4 v_ihide">
							<span class="dsp-block">איזור</span>
							<input type="text" data-billing class="input-text" name="איזור" id="vs_BRegion" value="" maxlength="50" class="dsp-block w-100">
						</div>
						<div class="col-12 col-md-4">
							<span class="dsp-block">מדינה</span>
							<select class="country_to_state country_select mnw-100 p-2 dsp-block" data-wiz-bcountry-container>
								<option data-wiz-country = "" wiz_selectio>{{Name}}</option>
							</select>
						</div>
						<div class="col-12 col-md-4">
							<span class="dsp-block">טלפון / נייד</span>
							<input type="text" data-billing class="input-text" name="טלפון / נייד" id="vs_BPhone" value="" maxlength="50" class="dsp-block w-100">
						</div>
					</div>
					<div class="clr"></div>
				</div>

				<p  for="vs_VSSendDigInv">
					<input id="vs_VSSendDigInv" type="checkbox"  value='1' /> אני מסכים/ה לקבל חשבונית מס דיגיטלית (במקום חשבונית מס מודפסת על נייר) </p>
				<p  for="vs_VSSendAdvByMail">
					<input id="vs_VSSendAdvByMail" type="checkbox"  value='1' /> אני מסכים/ה לקבל חומר פרסומי ושיווקי באמצעות הדואר האלקטרוני
				</p>

			   

				<h3 class="purchase-title"><span wiz_login>שינוי </span> סיסמא</h3>
				<div class="row">
					<div class="col-12 col-md-6">
						<span class="dsp-block">סיסמא:</span>
						<input data-req id="vs_Pass" name="סיסמא" type="password" size="25" maxlength="20" value="" class="dsp-block w-100">
					</div>
					<div class="col-12 col-md-6" wiz_login>
						<span class="dsp-block">סיסמא חדשה:</span>
						<input  data-req id="vs_NewPass" name="סיסמא חדשה" type="password" size="25" maxlength="20" value="" class="dsp-block w-100" />
					</div>
					<div class="col-12 col-md-6">
						<span class="dsp-block">אימות סיסמא:</span>
						<input data-req id="vs_ConfirmPass"  name="אימות סיסמא" type="password" size="25" maxlength="20" value="" class="dsp-block w-100" />
					</div>
					<div class="col-12 col-md-6 my-3">
						<input type="button" class="btn primary" data-wiz-change-pass wiz_login data-wiz-status="user-details|status_14|15" value="שינוי סיסמא">
					</div>
				</div>
				 <div class="mt-3 col-12 col-md-6">
					<input type="button"  data-wiz-register wiz_login data-wiz-status="user-details|status_14|14" data-wiz-address="#step_3" value="אישור פרטים אישיים" class="btn primary mnw-100">
					<input type="button"  data-wiz-register wiz_logout data-wiz-status="user-details|status_14|14" data-wiz-address="#step_3" value="הרשמה" class="btn primary mnw-100">
				</div>
			</div>
		</div>


</div>

<script>
    // Collapse
    (function () {
        var content = document.querySelector('.collappse-block');
        document.querySelector('#collyes').addEventListener('click', function () {
            content.style.display = 'block';
        });

        document.querySelector('#collno').addEventListener('click', function () {
            content.style.display = 'none';
        });
    })();
</script>