<?php 
if ( ! defined( 'ABSPATH' ) ) { exit; }
?>
<div data-wiz-status-report="past-purch" data-wizshop  class="stat_div basket-add-message p-3 mb-3 w-100 v_ihide">
	<span data-wiz-status-text></span>
	<span  data-wiz-close-status class="dsp-inlineblock float-left basket-dismiss-btn">
		<img src="<?php echo wizshop_img_file_url('close.svg')?>" class="svg-icon basket-dismiss-icon">
	</span>
	<div class="clr"></div>
</div>
<div id="wiz-past-purch" class="v_cart v_ihide" data-wiz-shopping-list='PI' data-wizshop data-auto-hide>
<table data-wiz-list-container class="basket-table responsive-table w-100" >
	<thead class="basket-thead" data-wiz-list-head >
    <tr>
		<th class="product-thumbnail py-3">תמונה</th>
		<th class="product-name py-3">שם</th>
		<th class="product-key py-3">מפתח</th>
		<th class="product-balance py-3 {{dispBalance}}">מלאי</th>
		<th class="product-price py-3">מחיר</th>
 		<th class="product-quantity  py-3">כמות</th>
        <th class="product-addtocart py-3">הוספה לסל</th>
        <th class="product-addtocart py-3">הוספה לסל קבוע</th>
		
    </tr>
  	</thead>
	<tbody>
        <tr data-wiz-list-item>
			<script type="text/html">
			<td class="product-thumbnail" data-title="תמונה"><a href='<?php echo esc_url(wizshop_get_products_url())?>{{Link}}'>
				<img src ="<?php esc_url(wizshop_image_name_link("{{ImageFile}}","wiz_thumb"))?>" alt="{{Name}}">
				</a>
			</td>	
			<td class="product-name" data-title="מוצר"><a href='<?php echo esc_url(wizshop_get_products_url())?>{{Link}}'>{{Name}}</a></td>
			<td class="product-key" data-title="מפתח">{{Key}}</td>
			<td class="product-balance {{dispBalance}}" data-title="מלאי">{{Balance}}</td>
			<td class="product-price" data-title="מחיר">{{Price}}</td>
			<td class="product-quantity" data-title="כמות"  >
				
				<span class="{{dispCart}} {{dispUnits}}">
					יחידות:
					<input type="text" size="2" wiz_QuantId="{{QuantId}}" data-wiz-packs-only="{{OnlyPacks}}" value="1">	
				</span>
				<span class=" {{dispCart}} {{dispPacks}}">
					אריזות של {{QntInPack}}: 
					<input type="text" size="2" wiz_PacksId="{{PacksId}}" data-wiz-quant-in-pack="{{QntInPack}}" value="0">
				</span>
			</td>
			<td class="product-addtocart" data-title="הוספה לסל">
			<div class="{{Status}}"></div>
			<a href="javascript:void(0);" data-wiz-item-to-cart='{{Key}}' data-wiz-packs-ctrl="{{PacksId}}" 
					data-wiz-quant-ctrl="{{QuantId}}" data-wiz-check-quant="1" 
						data-wiz-item-row data-wiz-item-col data-wiz-status="past-purch||15" class="{{dispCart}}"> לסל </a>
			</td>
			<td class="product-addtocart" data-title="הוספה לסל קבוע">
			<a href="javascript:void(0);" data-wiz-list-action-item='{{Key}}' 
				data-wiz-matrix-key='{{matrixKey}}' data-wiz-type='FX' data-wiz-action='2' data-wiz-status="past-purch||15">הוספה לסל קבוע</a></td>
			</script>
		</tr>
 	</tbody>
</table>
<div data-wiz-list-to-cart data-wiz-status="past-purch||15" class="v_ihide">
	<a href="javascript:void(0);" >הוספת רשימה לסל קניות</a>
	<a href="<?php echo esc_url(wizshop_get_cart_url())?>"  data-wiz-type='PI-LIST' class="v_ihide">הצגת סל</a>
</div>
</div>
<div class="empty-basket">
	<p class="cart-empty">לא בוצעו עדיין רכישות באתר.</p>
	<a class="btn primary-outline" href="/">לעמוד הראשי</a>
</div>