<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }
$co = wizshop_get_customer_options();  

?>


<!-- status -->
<div data-wiz-status-report="signin-b2b" data-wizshop  class="alert w-100 mt-2 p-1">
	<span data-wiz-status-text></span>
		<a href="javascript:void(0);" data-wiz-close-status class="dsp-inlineblock float-left basket-dismiss-btn">
			<img src="<?php echo wizshop_img_file_url('close.svg')?>" class="svg-icon basket-dismiss-icon">
		</a>
	</span>
</div>

<!-- login Box -->
<div data-wiz-sign-in data-wizshop data-cust-form="1" class="mt-3 v_user_log " data-wiz-error-class="v_field_err">
	<div wiz_logout>
		<header class="mb-2" >
			<div class="col text-right px-0">
			<a href="<?= esc_url(wizshop_get_signin_url())?>" wiz_logout class="btn primary-outline b2c-button"><?php echo $co["b2c_link_text"]; ?></a>
			<a href="<?= esc_url(wizshop_get_signin_b2b_url())?>" wiz_logout class="btn primary b2b-button"><?php echo $co["b2b_link_text"]; ?></a>
			<a href="<?= esc_url(wizshop_get_user_details_url())?>" wiz_logout class="btn primary-outline signup-button">הרשמה</a>
			</div>
		</header>
		<div wiz_logout class="row">
		 <div class="col-12  col-md-5">
			<span class="dsp-block" wiz_logout>קוד משתמש</span>
			<input type="text" size="25" name="קוד משתמש" data-wiz-user-key class="dsp-block w-100">
		</div>
		<div class="col-12  col-md-5">
			<span class="dsp-block" wiz_logout>סיסמא</span>
			<input type="password" size="25" name="סיסמא" data-wiz-user-pass class="dsp-block w-100">
		</div>
		<div class="col-12 col-md-2 mt-2 dsp-flex">
			<a href="javascript:void(0);" data-wiz-status="signin-b2b|status_14|14" data-wiz-login data-wiz-b2b="1" data-wiz-address="<?php echo esc_url(wizshop_get_reference_url())?>"  class="btn primary mnw-100 mt-auto" >כניסה</a>
		</div>
		<div class="col-12 mt-3 ">
			<span> שכחתי סיסמא / אני רוכש בפעם הראשונה </span>
			
		</div>
		<div class="col-12  col-md-5" wiz_logout>
			<span class="dsp-block">דואר אלקטרוני</span>
			<input type="text" size="25" name="דואר אלקטרוני" data-wiz-user-mail class="dsp-block w-100" />
		</div>
		<div class="col-12 col-md-3 mt-2 dsp-flex">
			<!-- Password reset -->
			<a href="javascript:void(0);" data-wiz-status="signin-b2b|pass_3|15" data-wiz-send-pass data-wiz-b2b="1" class="btn primary  mnw-100 mt-auto">שחזור סיסמא</a>
		</div>
		</div>
	</div>
</div>

<!-- user -->
<div data-wiz-customer data-wizshop>
    <h4  data-wiz-text class="v_sigin_log">שלום {{Name}}</h4>
	<p>
		<a href="<?php echo esc_url(wizshop_get_user_details_url())?>" class="v_sigin_log" wiz_login>איזור אישי</a>
		<a href="javascript:void(0);" data-wiz-logout class="v_sigin_log" wiz_login>התנתקות</a>
	</p>
</div>